import type { ControlElement } from "@jsonforms/core";
/**
 * https://github.com/eclipsesource/jsonforms-vuetify-renderers/blob/main/vue2-vuetify/src/controls/EnumControlRenderer.vue
 */
declare const constRenderer: import("vue").DefineComponent<{
    schema: {
        required: true;
        type: import("vue").PropType<import("@jsonforms/core").JsonSchema>;
    };
    uischema: {
        required: true;
        type: import("vue").PropType<ControlElement>;
    };
    path: {
        required: true;
        type: StringConstructor;
    };
    enabled: {
        required: false;
        type: BooleanConstructor;
        default: undefined;
    };
    renderers: {
        required: boolean;
        type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
        default: undefined;
    };
    cells: {
        required: boolean;
        type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
        default: undefined;
    };
    config: {
        required: boolean;
        type: ObjectConstructor;
        default: undefined;
    };
}, any, unknown, {
    constValue(): any;
    constScalar(): any;
}, {
    onChecked(e: any): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    schema: {
        required: true;
        type: import("vue").PropType<import("@jsonforms/core").JsonSchema>;
    };
    uischema: {
        required: true;
        type: import("vue").PropType<ControlElement>;
    };
    path: {
        required: true;
        type: StringConstructor;
    };
    enabled: {
        required: false;
        type: BooleanConstructor;
        default: undefined;
    };
    renderers: {
        required: boolean;
        type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
        default: undefined;
    };
    cells: {
        required: boolean;
        type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
        default: undefined;
    };
    config: {
        required: boolean;
        type: ObjectConstructor;
        default: undefined;
    };
}>>, {
    config: Record<string, any>;
    renderers: import("@jsonforms/core").JsonFormsRendererRegistryEntry[];
    cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
    enabled: boolean;
}>;
export default constRenderer;
export declare const entry: {
    renderer: import("vue").DefineComponent<{
        schema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }, any, unknown, {
        constValue(): any;
        constScalar(): any;
    }, {
        onChecked(e: any): void;
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        schema: {
            required: true;
            type: import("vue").PropType<import("@jsonforms/core").JsonSchema>;
        };
        uischema: {
            required: true;
            type: import("vue").PropType<ControlElement>;
        };
        path: {
            required: true;
            type: StringConstructor;
        };
        enabled: {
            required: false;
            type: BooleanConstructor;
            default: undefined;
        };
        renderers: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsRendererRegistryEntry[]>;
            default: undefined;
        };
        cells: {
            required: boolean;
            type: import("vue").PropType<import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[]>;
            default: undefined;
        };
        config: {
            required: boolean;
            type: ObjectConstructor;
            default: undefined;
        };
    }>>, {
        config: Record<string, any>;
        renderers: import("@jsonforms/core").JsonFormsRendererRegistryEntry[];
        cells: import("@jsonforms/core").JsonFormsCellRendererRegistryEntry[];
        enabled: boolean;
    }>;
    tester: (uischema: import("@jsonforms/core").UISchemaElement, schema: import("@jsonforms/core").JsonSchema, context: import("@jsonforms/core").TesterContext) => number;
};
