import type { JsonSchema } from "@jsonforms/core";
import type { UISchemaElement } from "@jsonforms/core/src/models/uischema";
import type { JsonFormsInterface } from "../../../models";
import type { ToolContext } from "../../index";
export declare const prepareOptionData: (context: ToolContext, schema: JsonSchema, uischema: UISchemaElement) => Record<string, any>;
export declare const setOptionData: (schema: JsonSchema, uischema: UISchemaElement, data: Record<string, any>) => void;
export declare const schema: {
    type: string;
    properties: {
        styles: {
            type: string;
            properties: {
                stylesAsArray: {
                    type: string;
                    items: {
                        type: string;
                        properties: {
                            path: {
                                type: string;
                            };
                            class: {
                                type: string;
                            };
                        };
                    };
                };
            };
        };
    };
};
export declare const uischema: {
    scope: string;
    type: string;
    options: {
        detail: {
            type: string;
            elements: ({
                type: string;
                scope: string;
                options?: undefined;
            } | {
                type: string;
                scope: string;
                options: {
                    multi: boolean;
                };
            })[];
        };
    };
};
export declare const jsonForms: JsonFormsInterface;
